Page MenuHomePhabricator

Inform participants about the data retention policy for participant questions
Closed, ResolvedPublic2 Estimated Story Points

Description

See T328032#8936008 for context.

Acceptance criteria
  • As a user
    • Given I am not registered
    • When I click "Register for event" on an event page to open the registration dialog
    • Then I should see a form section with Text 1
  • As a user
    • Given I am not registered
    • When I go to Special:RegisterForEvent/ID
    • Then I should see a form section with Text 1
  • As a user
    • Given I have registered for an event but haven't answered any questions
    • When I click "Edit event registration" on an event page to open the registration dialog
    • Then I should see a form section with Text 1
  • As a user
    • Given I have registered for an event but haven't answered any questions
    • When I go to Special:RegisterForEvent/ID
    • Then I should see a form section with Text 1
  • As a participant
    • Given I have answered at least a question
    • And that my answers will not be deleted in the next 24 hours
    • When I click "Edit event registration" on the event page to open the registration dialog
    • Then I should see a form section with Text 2
  • As a participant
    • Given I have answered at least a question
    • And that my answers will not be deleted in the next 24 hours
    • When I go to Special:RegisterForEvent/ID
    • Then I should see a form section with Text 2
  • As a participant
    • Given I have answered at least a question
    • And that my answers will be deleted in the next 24 hours
    • When I click "Edit event registration" on the event page to open the registration dialog
    • Then I should see a form section with Text 3
  • As a participant
    • Given I have answered at least a question
    • And that my answers will be deleted in the next 24 hours
    • When I go to Special:RegisterForEvent/ID
    • Then I should see a form section with Text 3

Text 1:

Your responses are aggregated and then deleted 90 days after submission or at the end of the event, whichever comes first. Edit responses anytime before then. Once deleted, they cannot be changed, re-answered, or retrieved.

Text 2:

Your responses are aggregated and then deleted 90 days after submission or at the end of the event, whichever comes first. Edit responses anytime before then. Once deleted, they cannot be changed, re-answered, or retrieved. The remaining time until your responses are aggregated and deleted is: 30 days.

(where "30" is just an example)

Text 3:

Your responses are aggregated and then deleted 90 days after submission or at the end of the event, whichever comes first. Edit responses anytime before then. Once deleted, they cannot be changed, re-answered, or retrieved. The remaining time until your responses are aggregated and deleted is: less than 24 hours.

Note: the scenario where answers have already been aggregated is addressed in T339981, not in this task.

Design

Design Specs

Screenshot 2023-07-11 at 14.05.02.png (1×1 px, 331 KB)

Event Timeline

We discussed this task today. Here are the relevant notes:

  • This information will be displayed in the registration dialog (and special page)
  • Before registering, participants would see a message explaining that data is deleted after 90 days or when the event ends, whichever comes first.
  • After registering, participants would see a shorter message; the copy of this message will depend on whether the 90 days will expire before the event ends. If so, the message will only include a countdown. Otherwise, the message will says that answers will be deleted “when the event ends”
  • We should also consider using a similar simplified message even before registering.
  • Note, the distinction is not really “before registering” vs “after registering”, but rather “already answered at least a question” vs “no answers provided”.
  • Decision: The option with two copies, one for the countdown and one for event end, is the preferred option. If it turns out to be too complex to implement, then the backup option is to always show a countdown (that’d point either to the 90 days or event end).
  • Decision: If possible, we will use the same simplified message in the “before registering” case. If not possible, we will use a longer copy explaining both scenarios.
  • Note: we may also need a separate message for the day when answers are going to be deleted, to avoid “in 0 days” which is awkward. We will think about this later.
Screenshot 2023-06-27 at 14.07.56.png (1×1 px, 272 KB)
Screenshot 2023-06-27 at 14.01.32.png (1×2 px, 705 KB)

With the additional information to be added to the registration, the registration form and experience would be less usable and appear more daunting than it actually is. Also, users are likely to skip through this large block of text. Though we are working on making the text simple, a better approach may be to rethink the whole page/modal.

Two approaches that help us simplify:

  • Integrate registration privacy into the registration form: Bringing these two together into one as shown in 5A would help streamline and simplify the experience. (These would still be treated as they currently are in the backend but can be put together in the UI)
  • Separating the privacy info: On the registration platform of other event platforms the privacy and data usage information is usually on a separate page with a short description and a link to it at the bottom of the registration form, it is not usually placed at the top position in the form similar to what we have at the bottom of the modal where the general wiki privacy policy is linked. Though we do not yet have a separate page for events privacy policy we can put all such information in its own section. As the users scroll through the form they get to see it at the end as shown in 5A. Though it is at the end of the form, having it in its own section and heading helps place importance and emphasis on it without impeding the experience of filling out the form.

5B and 5C are different variations of 5A, though 5A may be better these variations can be adopted depending on the constraints of implementing 5A. The general privacy information in the sticky footer is needed irrespective of whether you fill out the form or not hence in 5B it is returned to the sticky footer. If combining the registration privacy with the participant questions proves technically challenging we can adopt 5C.

Remember, these ideas supplement, rather than replace, the concepts we discussed previously. We can integrate these new proposals with our existing ones.

Let's discuss these possibilities further, aiming for a balance between a user-friendly experience and technical feasibility. Your feedback will be essential to determining the optimal solution @cmelo @Daimona

I think all these options are doable from an engineering perspective, with no big differences between them. Whatever you think would be best for the UX, I think we could do that. Maybe @cmelo has other opinions though.

Current progress, would finalize next week.

Screenshot 2023-07-07 at 18.22.29.png (1×2 px, 697 KB)

@gonyeahialam Thanks, I have one question. This may already be on your radar and included in the final version of the prototype, so you can disregard it if that's the case. What would we show when the answers will be deleted in <1 day? "0 days" sounds awkward, and OTOH, we can't say exactly when the answers will be deleted.

@gonyeahialam Thanks, I have one question. This may already be on your radar and included in the final version of the prototype, so you can disregard it if that's the case. What would we show when the answers will be deleted in <1 day? "0 days" sounds awkward, and OTOH, we can't say exactly when the answers will be deleted.

In the first meeting we had on this task, we agreed on using today

But i guess we would need to rephrase in the scenario above

@Daimona we can use "The remaining time until your responses are aggregated and deleted concludes today"

Design update:
The data retention information would be shown at the bottom of the registration modal. After the participant has filled out the form and comes back to the edit registration form, the countdown shows at the bottom of the data retention information.

Screenshot 2023-07-11 at 14.03.28.png (1×1 px, 464 KB)

gonyeahialam changed the task status from Open to In Progress.Jul 11 2023, 1:11 PM
gonyeahialam updated the task description. (Show Details)
gonyeahialam updated the task description. (Show Details)

Design update:
The data retention information would be shown at the bottom of the registration modal. After the participant has filled out the form and comes back to the edit registration form, the countdown shows at the bottom of the data retention information.

Screenshot 2023-07-11 at 14.03.28.png (1×1 px, 464 KB)

SGTM

Daimona removed Daimona as the assignee of this task.
ifried updated the task description. (Show Details)
ifried set the point value for this task to 2.Jul 27 2023, 2:33 PM

@gonyeahialam I have a few questions about the prototype:

  • The text used after form submission is different, in that it doesn't say "whichever comes first". I'm assuming this is not intentional, but wanted to confirm with you.
  • Can we add an Oxford comma between "re-answered" and "or retrieved" to all versions?
  • The message for the "day of deletion" scenario is slightly inaccurate. The check we use is not whether the answers will be deleted on a given day, but whether they'll be deleted over the next 24 hours. Assuming that my answers will be deleted on September 15 at 16:00, I will be seeing that message starting September 14 at 16:00, but my answers won't be deleted on the same day. Do you think there's an alternative to "today" that would work in this scenario?

Change 949532 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] [WIP] T339977

https://gerrit.wikimedia.org/r/949532

@gonyeahialam I have a few questions about the prototype:

  • The text used after form submission is different, in that it doesn't say "whichever comes first". I'm assuming this is not intentional, but wanted to confirm with you.

Yes. That was a mistake.

  • Can we add an Oxford comma between "re-answered" and "or retrieved" to all versions?

Yes

  • The message for the "day of deletion" scenario is slightly inaccurate. The check we use is not whether the answers will be deleted on a given day, but whether they'll be deleted over the next 24 hours. Assuming that my answers will be deleted on September 15 at 16:00, I will be seeing that message starting September 14 at 16:00, but my answers won't be deleted on the same day. Do you think there's an alternative to "today" that would work in this scenario?

Based on your example above is it September 14th or 15th that is day 90 (or end of event)?

  • The message for the "day of deletion" scenario is slightly inaccurate. The check we use is not whether the answers will be deleted on a given day, but whether they'll be deleted over the next 24 hours. Assuming that my answers will be deleted on September 15 at 16:00, I will be seeing that message starting September 14 at 16:00, but my answers won't be deleted on the same day. Do you think there's an alternative to "today" that would work in this scenario?

Based on your example above is it September 14th or 15th that is day 90 (or end of event)?

September 15 is the day when answers will be deleted, i.e. day 90 or end of event. But again, we could also use "today" for now and improve that later if there isn't a simple alternative.

September 15 is the day when answers will be deleted, i.e. day 90 or end of event. But again, we could also use "today" for now and improve that later if there isn't a simple alternative.

What of this message @Daimona :
The remaining time until your responses are aggregated and deleted is: less than 24 hours

September 15 is the day when answers will be deleted, i.e. day 90 or end of event. But again, we could also use "today" for now and improve that later if there isn't a simple alternative.

What of this message @Daimona :
The remaining time until your responses are aggregated and deleted is: less than 24 hours

Sounds perfect, thank you! I'm going to update the AC now.

Change 949532 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] Add initial data retention policy for participant answers

https://gerrit.wikimedia.org/r/949532

Change 952253 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] Add remaining time to data retention message in Special:RegisterForEvent

https://gerrit.wikimedia.org/r/952253

Change 952286 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] Add remaining time to data retention message on event page

https://gerrit.wikimedia.org/r/952286

Change 949532 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Add initial data retention policy for participant answers

https://gerrit.wikimedia.org/r/949532

Change 952253 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Add remaining time to data retention message in Special:RegisterForEvent

https://gerrit.wikimedia.org/r/952253

Change 952286 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Add remaining time to data retention message on event page

https://gerrit.wikimedia.org/r/952286

vaughnwalters added a subscriber: vaughnwalters.
Acceptance criteria
  • As a user
    • Given I am not registered
    • When I click "Register for event" on an event page to open the registration dialog
    • ✅ Then I should see a form section with Text 1
    • Screenshot 2023-09-04 at 2.48.21 PM.png (356×1 px, 63 KB)
  • As a user
    • Given I am not registered
    • When I go to Special:RegisterForEvent/ID
    • ✅ Then I should see a form section with Text 1
    • Screenshot 2023-09-04 at 2.50.41 PM.png (308×1 px, 58 KB)
  • As a user
    • Given I have registered for an event but haven't answered any questions
    • When I click "Edit event registration" on an event page to open the registration dialog
    • ✅ Then I should see a form section with Text 1
    • Screenshot 2023-09-04 at 2.52.35 PM.png (302×1 px, 56 KB)
  • As a user
    • Given I have registered for an event but haven't answered any questions
    • When I go to Special:RegisterForEvent/ID
    • ✅ Then I should see a form section with Text 1
    • Screenshot 2023-09-04 at 2.53.09 PM.png (288×1 px, 60 KB)
  • As a participant
    • Given I have answered at least a question
    • And that my answers will not be deleted in the next 24 hours
    • When I click "Edit event registration" on the event page to open the registration dialog
    • ✅ Then I should see a form section with Text 2
    • Screenshot 2023-09-04 at 3.07.45 PM.png (380×1 px, 77 KB)
  • As a participant
    • Given I have answered at least a question
    • And that my answers will not be deleted in the next 24 hours
    • When I go to Special:RegisterForEvent/ID
    • ✅ Then I should see a form section with Text 2
    • Screenshot 2023-09-04 at 3.07.14 PM.png (302×1 px, 74 KB)
  • As a participant
    • Given I have answered at least a question
    • And that my answers will be deleted in the next 24 hours
    • When I click "Edit event registration" on the event page to open the registration dialog
    • ✅ Then I should see a form section with Text 3
    • Screenshot 2023-09-04 at 3.10.58 PM.png (392×1 px, 80 KB)
  • As a participant
    • Given I have answered at least a question
    • And that my answers will be deleted in the next 24 hours
    • When I go to Special:RegisterForEvent/ID
    • ✅ Then I should see a form section with Text 3
    • Screenshot 2023-09-04 at 3.12.11 PM.png (322×1 px, 76 KB)

This all looks good - sending to design sign off.